/* Project name:
     SmartGLCD_240x128_Demo
 * Copyright:
     (c) Mikroelektronika, 2011.
 * Revision History:
     20100910
       - initial release MZ
     20110106
       - adapted for SmartGLCD 240x128 (TL)
     20110613:
       - Adapted GLCD and touch panel declarations for 18F8722 (ZR)
 * Description:
     This example demonstrates advanced usage of Visual GLCD Tool.
     It consisted of two parts, Backlight Change and Keyboard Demo.
     Backlight Change lets you change backlight color of Serial GLCD with Touch Screen.
     Keyboard Demo detects which key is pressed and displays it on screen. Space bar,
     Backspace and Caps Lock keys are supported also.
 * Test configuration:
     MCU:             PIC18F8722
                      http://ww1.microchip.com/downloads/en/DeviceDoc/39646c.pdf
     Dev.Tool:        SmartGLCD
                      http://www.mikroe.com/eng/products/view/443/smartglcd-240x128-board/
                      PICFlash with mikroICD support
                      http://www.mikroe.com/eng/products/view/18/picflash-with-mikroicd-support/
     Oscillator:      HS-PLL 4x, 40.0000 MHz
     Ext. Modules:    -
     SW:              mikroC PRO for PIC
                      http://www.mikroe.com/en/compilers/mikroc/pro/pic/
*/

#include "SmartGLCD_240x128_Demo_objects.h"

void main() {

  Start_TP();

  while (1) {
    Check_TP();

  }

}